%define ver 0.77
Name: connman
Version: %ver
Release: alt4

Summary: ConnMan is a daemon for managing internet connections.
License: BSD-like
Group: Networking/Other
Url: http://www.enlightenment.org/

Source: %name-%ver.tar
Source1: connmand.init
Requires: dbus bluez polkit
BuildRequires: libpolkit-devel gcc-c++ glib2-devel glibc-devel-static iptables-devel libdbus-devel wpa_supplicant libbluez-devel

%description
The Connection Manager (ConnMan) project provides a daemon for
managing internet connections within embedded devices running
the Linux operating system. ConnMan is designed to be slim
and to use as few resources as possible, so it can be easily integrated.
It is a fully modular system that can be extended, through plug-ins,
to support all kinds of wired or wireless technologies.
The plug-in approach allows for easy adaption and modification
for various use cases.

%package -n %name-devel
Summary: Include files for development with ConnMan Library
Group: Development/C

%description -n %name-devel
The Connection Manager (ConnMan) project provides a daemon for managing
internet connections within embedded devices running the Linux operating system.

This package contains include files required for development %name-based software.

%prep
%setup -q -n %name-%version

%build
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
--enable-polkit \
--enable-wifi \
--enable-bluetooth \
--enable-ethernet \
--enable-loopback
%make_build

%install
%make_install DESTDIR=%buildroot install
install -pm0755 -D %SOURCE1 %buildroot%_initdir/connmand

%files
%_sbindir/*
%_sysconfdir/dbus-1/system.d/connman.conf
%_initdir/connmand
%_libdir/%name/plugins/*
%_datadir/polkit-1/actions/*
%doc AUTHORS COPYING README

%files -n %name-devel
%_pkgconfigdir/*.pc
%_includedir/*

%changelog
